generateExprVal.method.avgdiff {affy} | R Documentation

## Generate an expression value from the probes informations

### Description

Generate an expression from the probes

### Usage

    generateExprVal.method.avgdiff(probes, ...)
    generateExprVal.method.medianpolish(probes, ...)
    generateExprVal.method.liwong(probes, ...)
    generateExprVal.method.mas(probes, ...)

### Arguments

`probes` | a matrix of probe intesities with rows representing probes and columns representing samples. Usually `pm(probeset)` where `probeset` is a of class `ProbeSet`
`...` | extra arguments to pass to the respective function

### Value

A list containing entries:

`exprs` | The expression values.
`se.exprs` | The standard error estimate.

### See Also

`generateExprSet-methods,\code{generateExprVal.method.playerout}, \code{li.wong}, \code{medianpolish}`

### Examples

      data(SpikeIn) ##SpikeIn is a ProbeSets
      probes <- pm(SpikeIn)
      avgdiff <- generateExprVal.method.avgdiff(probes)
      medianpolish <- generateExprVal.method.medianpolish(probes)
      liwong <- generateExprVal.method.liwong(probes)
      playerout <- generateExprVal.method.playerout(probes)
      mas <- generateExprVal.method.mas(probes)

      concentrations <- as.numeric(sampleNames(SpikeIn))
      plot(concentrations,avgdiff$exprs,log="xy",ylim=c(50,10000),pch="a",type="b")
      points(concentrations,2^medianpolish$exprs,pch="m",col=2,type="b",lty=2)
      points(concentrations,liwong$exprs,pch="l",col=3,type="b",lty=3)
      points(concentrations,playerout$exprs,pch="p",col=4,type="b",lty=4)
      points(concentrations,mas$exprs,pch="p",col=4,type="b",lty=4)

[Package affy version 1.22.1 Index]